Get a contact's consent state by contact key
GET
/api/v3/contacts/keyed/{contactKey}/consents
const url = 'https://api.tryletterhead.com/api/v3/contacts/keyed/example/consents?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/contacts/keyed/example/consents?api=true' \ --header 'Authorization: Bearer <token>'Same as Get a contactโs consent state (GET /api/v3/contacts/{email}/consents), with the contact addressed by its contactKey instead of its email address. This read is deliberately unrestricted โ itโs available regardless of whether notification-platform writes are enabled for your tenant.
This is a company-level (v3) read. Authenticate with a company API key as a Bearer token.
Authorizations
Section titled โAuthorizations โParameters
Section titled โ Parameters โPath Parameters
Section titled โPath Parameters โ contactKey
required
string
The contactโs opaque 64-character hex key.
Query Parameters
Section titled โQuery Parameters โ api
required
boolean
Required. Set to true.
Responses
Section titled โ Responses โ200 OK. Same shape as GET /api/v3/contacts/{email}/consents.
Media type application/json
object
items
Full field list under GET /api/v3/contacts/{email}/consents.
object
message
string
total
integer
Example generated
{ "items": {}, "message": "example", "total": 1}Still can’t find what you need? Contact support.